Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
binwrite_arg Struct Reference

## Data Fields
rb_io_t * | fptr
VALUE | str
const char * | ptr
long | length

## Detailed Description

Definition at line 1316 of file io.c.

## Field Documentation

## ◆ fptr

rb_io_t* binwrite_arg::fptr

Definition at line 1317 of file io.c.

Referenced by rb_io_bufwrite().

## ◆ length

long binwrite_arg::length

Definition at line 1320 of file io.c.

## ◆ ptr

const char* binwrite_arg::ptr

Definition at line 1319 of file io.c.

## ◆ str

VALUE binwrite_arg::str

Definition at line 1318 of file io.c.

The documentation for this struct was generated from the following file:

- io.c